<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'cotizacion.php';

$database = new DataBase();
$db = $database->getConnection();

$cotizacion = new Cotizacion($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	
	$query = "UPDATE cotizaciones SET nombre=:nombre,apellidop=:apellidop, apellidom=:apellidom, correo=:correo, telefono=:telefono, proyecto=:proyecto, descripcion=:descripcion, folio=:folio, observaciones=:observaciones, estado=:estado, total=:total, usuario=:usuario where id=:id";
	$stm = $cotizacion->conn->prepare($query);
	$stm->bindParam(":nombre",$data->nombre);
	$stm->bindParam(":apellidop",$data->apellidop);
	$stm->bindParam(":apellidom",$data->apellidom);
	$stm->bindParam(":correo",$data->correo);
	$stm->bindParam(":proyecto",$data->proyecto);
	$stm->bindParam(":descripcion",$data->descripcion);
	$stm->bindParam(":folio",$data->folio);
	$stm->bindParam(":observaciones",$data->observaciones);
	$stm->bindParam(":estado",$data->estado);
	$stm->bindParam(":total",$data->total);
	$stm->bindParam(":usuario",$data->usuario);
	$stm->bindParam(":telefono",$data->telefono);
	$stm->bindParam(":id",$data->id);
	$stmt = $cotizacion->Update($stm);
	if($stmt !==false){
		echo json_encode(array("Mensaje"=>"Cotizacion actualizada"));
	}else{
		echo json_encode(array("Error"=>"No se ha creado el registro"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>